%define anolis_release 33
Summary:        Get number of occupied columns of a string on terminal
Name:           perl-Text-CharWidth
Version:        0.04
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Text-CharWidth/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KU/KUBOTA/Text-CharWidth-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%{?perl_default_filter}

%description
This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3). This also provides mblen(3) equivalent subroutine.

%package doc
Summary:   Documents for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc pages for %{name}.

%prep
%setup -q -n Text-CharWidth-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/man3/Text::CharWidth.3pm*

%files doc
%doc README Changes

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 0.04-33
- Import package for anolis 23
